Flecs: flecs::table_range Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
flecs::table_range Struct Reference
C++ API » Core » Tables
Inheritance diagram for flecs::table_range:
[legend]

## Public Member Functions
| table_range (world_t *world, table_t *t, int32_t offset, int32_t count)
int32_t | offset () const
int32_t | count () const
void * | get_column (int32_t index) const override
| Get pointer to component array by column index.
Public Member Functions inherited from flecs::table
| table (world_t *world, table_t *t)
flecs::string | str () const
| Convert table type to string.
flecs::type | type () const
| Get table type.
int32_t | count () const
| Get table count.
int32_t | size () const
| Get number of allocated elements in table.
const flecs::entity_t * | entities () const
| Get array with entity ids.
void | clear_entities () const
| Delete entities in table.
int32_t | type_index (flecs::id_t id) const
| Find type index for (component) id.
template<typename T>
int32_t | type_index () const
| Find type index for type.
int32_t | type_index (flecs::entity_t first, flecs::entity_t second) const
| Find type index for pair.
template<typename First>
int32_t | type_index (flecs::entity_t second) const
| Find type index for pair.
template<typename First, typename Second>
int32_t | type_index () const
| Find type index for pair.
int32_t | column_index (flecs::id_t id) const
| Find column index for (component) id.
template<typename T>
int32_t | column_index () const
| Find column index for type.
int32_t | column_index (flecs::entity_t first, flecs::entity_t second) const
| Find column index for pair.
template<typename First>
int32_t | column_index (flecs::entity_t second) const
| Find column index for pair.
template<typename First, typename Second>
int32_t | column_index () const
| Find column index for pair.
bool | has (flecs::id_t id) const
| Test if table has (component) id.
template<typename T>
bool | has () const
| Test if table has the type.
bool | has (flecs::entity_t first, flecs::entity_t second) const
| Test if table has the pair.
template<typename First>
bool | has (flecs::entity_t second) const
| Test if table has the pair.
template<typename First, typename Second>
bool | has () const
| Test if table has the pair.
void * | try_get (flecs::id_t id) const
| Get pointer to component array by component.
void * | try_get (flecs::entity_t first, flecs::entity_t second) const
| Get pointer to component array by pair.
template<typename T, if_t< is_actual< T >::value > = 0>
T * | try_get () const
| Get pointer to component array by component.
template<typename T, typename A = actual_type_t<T>, if_t< flecs::is_pair< T >::value > = 0>
A * | try_get () const
| Get pointer to component array by component.
template<typename First>
First * | try_get (flecs::entity_t second) const
| Get pointer to component array by pair.
void * | get (flecs::id_t id) const
| Get pointer to component array by component.
void * | get (flecs::entity_t first, flecs::entity_t second) const
| Get pointer to component array by pair.
template<typename T, if_t< is_actual< T >::value > = 0>
T * | get () const
| Get pointer to component array by component.
template<typename T, typename A = actual_type_t<T>, if_t< flecs::is_pair< T >::value > = 0>
A * | get () const
| Get pointer to component array by component.
template<typename First>
First * | get (flecs::entity_t second) const
| Get pointer to component array by pair.
template<typename First, typename Second, typename P = flecs::pair<First, Second>, typename A = actual_type_t<P>, if_not_t< flecs::is_pair< First >::value > = 0>
A * | get () const
| Get pointer to component array by pair.
size_t | column_size (int32_t index) const
| Get column size.
int32_t | depth (flecs::entity_t rel) const
| Get depth for given relationship.
template<typename Rel>
int32_t | depth () const
| Get depth for given relationship.
ecs_table_records_t | records () const
| Get table records array.
uint64_t | id () const
| Get table id.
void | lock () const
| Lock table.
void | unlock () const
| Unlock table.
bool | has_flags (ecs_flags32_t flags) const
| Check if table has flags.
table_t * | get_table () const
| Get table.
| operator table_t * () const

## Additional Inherited Members
Protected Attributes inherited from flecs::table
world_t * | world_
table_t * | table_

## Detailed Description

Definition at line 412 of file table.hpp.

## Constructor & Destructor Documentation

## ◆ table_range() [1/2]

flecs::table_range::table_range | ( |  | ) |
| inline

Definition at line 413 of file table.hpp.

## ◆ table_range() [2/2]

flecs::table_range::table_range | ( | world_t * | world,
|  | table_t * | t,
|  | int32_t | offset,
|  | int32_t | count )
| inline

Definition at line 418 of file table.hpp.

## Member Function Documentation

## ◆ count()

int32_t flecs::table_range::count | ( |  | ) | const
| inline

Definition at line 427 of file table.hpp.

## ◆ get_column()

void * flecs::table_range::get_column | ( | int32_t | index | ) | const
| inlineoverridevirtual

Get pointer to component array by column index.

Parameters

  index | The column index.

Returns
  Pointer to the column, NULL if not a component.

Reimplemented from flecs::table.

Definition at line 436 of file table.hpp.

## ◆ offset()

int32_t flecs::table_range::offset | ( |  | ) | const
| inline

Definition at line 423 of file table.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/table.hpp